package com.miaxis.feign.service;


import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.Ai;
import com.miaxis.feign.dto.Wa;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;

/**
 *
 * 电影接口测试
 */
@FeignClient(name="aiService",
        url = "https://yspm.api.storeapi.net",configuration = FeignConfig.class)
@Component
public interface IAiService {
    @PostMapping(value = "/api/79/197",
            consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE)
    String rechargeAiMonth(Ai ai);


}
