package com.miaxis.newgzpt.mapper;

import com.miaxis.newgzpt.domain.GzptTrainRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.newgzpt.dto.TrainCreditDTO;
import com.miaxis.newgzpt.dto.TrainFinishDTO;
import com.miaxis.newgzpt.dto.TrainFinishKmDTO;
import com.miaxis.newgzpt.vo.TrainCreditVO;
import com.miaxis.newgzpt.vo.TrainFinishKmVO;
import com.miaxis.newgzpt.vo.TrainFinishVO;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2021-03-23
 */
public interface GzptTrainRecordMapper extends BaseMapper<GzptTrainRecord> {

    void saveGzptTrainRecord(GzptTrainRecord gzptTrainRecord);

    List<TrainFinishVO> getTrainFinishNew(TrainFinishDTO trainFinishDTO);

    List<TrainFinishKmVO> getTrainFinishKm(TrainFinishKmDTO trainFinishKmDTO);

    List<TrainCreditVO> getTrainSubjectCredit(TrainCreditDTO trainCreditDTO);
}
