package com.miaxis.newgzpt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.newgzpt.domain.GzptUserInfo;
import com.miaxis.newgzpt.dto.GzptUserInfoDTO;

import java.util.List;

/**
 * <p>
 * 学员基本信息表 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2021-03-09
 */
public interface GzptUserInfoMapper extends BaseMapper<GzptUserInfo> {

    List<GzptUserInfo> getList();

    GzptUserInfo getUserByWxlogin(GzptUserInfoDTO gzptUserInfoDTO);

    GzptUserInfo getInfoById(Integer id);
}
