package com.miaxis.record.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.record.domain.BrowseRecordInfo;
import com.miaxis.record.vo.BrowseRecordCustomerVo;

/**
 * 浏览记录Mapper接口
 *
 * @author miaxis
 * @date 2021-03-23
 */
public interface BrowseRecordInfoMapper extends BaseMapper<BrowseRecordInfo> {

    /**
     * 查询浏览记录列表
     * @param userInfo
     * @return
     */
    List<BrowseRecordCustomerVo> getBrowseRecordInfoList(UserInfo userInfo);
}
