package com.miaxis.sms.domain;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author wwl
 * @Date 2020/12/29
 * @Version 1.0
 */
@Data
public class SmsParameter implements Serializable {

    /** 手机号码 */
    private String phone;

    /** 发送短信类型（login:用户登录验证码、modify:修改手机验证码、signUp:注册报名验证码） */
    private String type;

    /** 缓存key前缀 */
    private String keyPrefix;

    /** 验证次数 */
    private String verificationCount;

    /** 短信模板 */
    private String smsTemplateConstants;

}
