package com.miaxis.user.vo;

import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 报名信息VO
 * @Author wwl
 * @Date 2020/12/28
 * @Version 1.0
 */
@Data
public class UserVo extends BaseBusinessEntity {

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号码")
    private String mobile;

    @ApiModelProperty(value = "报名时间")
    private String createDate;

    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    @ApiModelProperty(value = "驾校班型名称")
    private String className;

    @ApiModelProperty(value = "驾校班型价格")
    private String Price;
}
