package com.miaxis.customer.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * applet客户信息对象入参
 *
 * @author miaxis
 * @date 2021-03-15
 */
@Data
@ApiModel(value = "AppletCustomerInfoDto", description = "applet客户信息对象入参")
public class AppletCustomerInfoDto implements Serializable {

    @ApiModelProperty(value = "品类id(0:精选)")
    private Long id;

    @ApiModelProperty(value = "父id")
    private Long pid;

    @ApiModelProperty(value = "商家名称")
    private String customerName;

}
