package com.miaxis.feign.service;


import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.Film;
import com.miaxis.feign.dto.Wa;
import com.miaxis.feign.dto.WaResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;

/**
 *
 * 电影接口测试
 */
@FeignClient(name="waService",
        url = "https://yspm.api.storeapi.net",configuration = FeignConfig.class)
@Component
public interface IWaService {
    @PostMapping(value = "/pyi/92/216",
            consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE)
    String geWaInfo(Wa wa);


}
